summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2016-02-11 09:25:49 +0100
committerFabian Groffen <grobian@gentoo.org>2016-02-11 09:25:49 +0100
commitc46a8b5aa5af075cb0350e8a0a023b0de1c811a2 (patch)
treee1c6b7044615fd840dd116b906125c027560845b
parentscripts/bootstrap-prefix: bump snapshot (diff)
downloadprefix-c46a8b5a.tar.gz
prefix-c46a8b5a.tar.bz2
prefix-c46a8b5a.zip
scripts/bootstrap-prefix.sh: be a bit more careful with CFLAGS during initial phases
-rwxr-xr-xscripts/bootstrap-prefix.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index 915ee71eac..d31a8edd19 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -1061,6 +1061,7 @@ do_emerge_pkgs() {
FEATURES="-news ${FEATURES}" \
PYTHONPATH="${ROOT}"/tmp/usr/lib/portage/pym \
USE="-berkdb -fortran -gdbm -git -libcxx -nls -pcre -ssl -python bootstrap clang internal-glib ${USE}" \
+ CFLAGS= CXXFLAGS= \
emerge -v --oneshot --root-deps ${opts} "${pkg}" || return 1
done
}
@@ -1145,7 +1146,9 @@ bootstrap_stage2() {
echo "BUILD_CC=${CHOST}-clang"
echo "BUILD_CXX=${CHOST}-clang++"
} >> "${ROOT}"/etc/portage/make.conf
- # llvm-3.4 isn't setup to provide the CHOST symlinks, so we'll
+ # llvm won't setup symlinks to CHOST-clang here because
+ # we're in a cross-ish situation (at least according to
+ # multilib.eclass -- can't blame it at this point really)
# do it ourselves here to make the bootstrap continue
( cd "${ROOT}"/tmp/usr/bin && ln -s clang ${CHOST}-clang && ln -s clang++ ${CHOST}-clang++ )
else
@@ -1273,10 +1276,10 @@ bootstrap_stage3() {
fi
# temporarily work around c_rehash missing openssl dependency, bug #572790
- emerge -1 openssl || return 1
+ CFLAGS= CXXFLAGS= emerge -1 openssl || return 1
# Portage should figure out itself what it needs to do, if anything
- USE="-git" emerge -u system || return 1
+ CFLAGS= CXXFLAGS= USE="-git" emerge -u system || return 1
# remove anything that we don't need (compilers most likely)
emerge --depclean